      PROGRAM broadcast
      INCLUDE 'mpif.h'
      INTEGER err, rank, size, iroot
      parameter(iroot=0)
      real param
      CALL MPI_INIT(err)
      CALL MPI_COMM_RANK(MPI_COMM_WORLD, rank, err)
      CALL MPI_COMM_SIZE(MPI_COMM_WORLD, size, err)
c     
      if(rank.eq.iroot) param=23.0
c     
      print *,'P:',rank,' before broadcast param is ',param
      call MPI_BCAST(param,1,MPI_REAL,iroot,MPI_COMM_WORLD,err)
      print *,'P:',rank,' after broadcast param is ',param
c     
      CALL MPI_FINALIZE(err)
      END
